<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		

		let a=0, b=0, c=0, d=0, e=0, x1=0,x2=0; x1r=0,x2r=0,x1c=0,x2c=0;

		a=Number(prompt("Introduzca a"));
		b=Number(prompt("Introduzca b"));
		c=Number(prompt("Introduzca c"));

		d=(Math.pow(b,2))-(4*a*c);

		e=2*a;

		if (d==0) {
			x1=-b/e;
			x2=x1;

			document.write("x1=x2="+x1);
			
		} else if (d>0) {
			x1=(-b+Math.sqrt(d))/e;
			x2=(-b-Math.sqrt(d))/e;
			document.write("x1="+x1);
			document.write("x2="+x2);
			
		} else {
			x1r=-b/e;
			x2r=-b/e;
			x1c=Math.sqrt(-d)/e;
			x2c=Math.sqrt(-d)/e;
			document.write("x1="+x1r+"+"+x1c+"<br/>");
			document.write("x2="+x2r+"-"+x2c);
		}


	

	</script>
</head>
<body>
	
</body>
</html>